defaults = {
    'zfs': {
        'datasets': {
            'tank/phanpy': {
                'mountpoint': '/opt/phanpy',
                'needed_by': {
                    'directory:/opt/phanpy',
                },
            },
        },
    },
}

@metadata_reactor.provides(
    'nginx/vhosts/phanpy',
)
def nginx_config(metadata):
    return {
        'nginx': {
            'vhosts': {
                'phanpy': {
                    'domain': metadata.get('phanpy/url'),
                    'webroot': '/opt/phanpy/dist/',
                },
            },
        },
    }


@metadata_reactor.provides(
    'icinga2_api/phanpy/services',
)
def icinga_check_for_new_release(metadata):
    return {
        'icinga2_api': {
            'phanpy': {
                'services': {
                    'PHANPY UPDATE': {
                        'command_on_monitored_host': '/usr/local/share/icinga/plugins/check_github_for_new_release cheeaun/phanpy {}'.format(metadata.get('phanpy/version')),
                        'vars.notification.mail': True,
                        'check_interval': '60m',
                    },
                },
            },
        },
    }
